Campaigns
Structure
Endpoints
Last updated
Last updated
GET /v1/campaigns HTTP/1.1
Host: api.pareto.credit
Accept: */*
{
"data": [
{
"_id": "text",
"code": "text",
"name": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"description": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"rules": [
{
"name": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"description": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"trigger": "DEPOSIT",
"deposit": {
"type": "BALANCE",
"value": 1
},
"reward": {
"type": "AMOUNT",
"value": 1
},
"frequency": {
"value": 1,
"unit": "seconds"
}
}
],
"referrals": [
{
"code": "text",
"isActive": true
}
],
"startDate": "2026-03-02T17:20:18.965Z",
"endDate": "2026-03-02T17:20:18.965Z",
"link": "text",
"galxeId": 1,
"createdAt": "2026-03-02T17:20:18.965Z",
"createdBy": "text",
"updatedAt": "2026-03-02T17:20:18.965Z",
"updatedBy": "text"
}
],
"totalCount": 1
}GET /v1/campaigns/{campaignId} HTTP/1.1
Host: api.pareto.credit
Accept: */*
{
"_id": "text",
"code": "text",
"name": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"description": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"rules": [
{
"name": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"description": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"trigger": "DEPOSIT",
"deposit": {
"type": "BALANCE",
"value": 1
},
"reward": {
"type": "AMOUNT",
"value": 1
},
"frequency": {
"value": 1,
"unit": "seconds"
}
}
],
"referrals": [
{
"code": "text",
"isActive": true
}
],
"startDate": "2026-03-02T17:20:18.965Z",
"endDate": "2026-03-02T17:20:18.965Z",
"link": "text",
"galxeId": 1,
"createdAt": "2026-03-02T17:20:18.965Z",
"createdBy": "text",
"updatedAt": "2026-03-02T17:20:18.965Z",
"updatedBy": "text"
}